Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.ims
Class IMSClientIDManager

    java.lang.Object
      com.stc.eways.ims.IMSClientIDManager

    public class IMSClientIDManager

extends java.lang.Object

Field Summary
`static int` | `IMS_CLIENT_ID_LEN`

Constructor Summary
`IMSClientIDManager()`

Method Summary
`static void` | `collectClientID(java.lang.String clientID)`
`static java.lang.String` | `generateNextClientID(java.lang.String clientIDPattern)` Generate a client ID String, of length 8, which is currently not in use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMS_CLIENT_ID_LEN

    public static final int IMS_CLIENT_ID_LEN

See Also:
  Constant Field Values

Constructor Detail

### IMSClientIDManager

    public IMSClientIDManager()

Method Detail

### generateNextClientID

    public static java.lang.String generateNextClientID(java.lang.String clientIDPattern)
                                                 throws java.lang.Exception

  Generate a client ID String, of length 8, which is currently not in use. For example, given the pattern String "AB*", this method will return a client ID String which starts with AB and the rest of the String will , be generated with a number that is not already used.

  Parameters:
    `clientIDPattern` - String The Client ID pattern to use.
  Returns:
    String The next Client ID randomly generated and is not in used.
  Throws:
    `java.lang.Exception` - upon error.

### collectClientID

    public static void collectClientID(java.lang.String clientID)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD